geos::geom::prep::PreparedPolygonPredicate Class Reference

A base class for predicate operations on `PreparedPolygon`s. More...

`#include <PreparedPolygonPredicate.h>`

Inheritance diagram for geos::geom::prep::PreparedPolygonPredicate:

## Public Member Functions

| PreparedPolygonPredicate (const PreparedPolygon *const p_prepPoly)
| Creates an instance of this operation.

## Protected Member Functions

geom::Location | getOutermostTestComponentLocation (const geom::Geometry *testGeom) const
| Returns the outermost Location among a test point from each components of the test geometry.
bool | isAllTestComponentsInTargetInterior (const geom::Geometry *testGeom) const
| Tests whether all components of the test Geometry are contained in the interior of the target geometry.
bool | isAnyTestComponentInTarget (const geom::Geometry *testGeom) const
| Tests whether any component of the test Geometry intersects the area of the target geometry.
bool | isAnyTestComponentInTargetInterior (const geom::Geometry *testGeom) const
| Tests whether any component of the test Geometry intersects the interior of the target geometry.
bool | isAnyTargetComponentInAreaTest (const geom::Geometry *testGeom, const std::vector< const geom::CoordinateXY * > *targetRepPts) const

## Protected Attributes

const PreparedPolygon *const | prepPoly

## Detailed Description

A base class for predicate operations on `PreparedPolygon`s.

Author
  mbdavis

## Constructor & Destructor Documentation

## PreparedPolygonPredicate()

geos::geom::prep::PreparedPolygonPredicate::PreparedPolygonPredicate | ( | const PreparedPolygon *const | p_prepPoly | ) |

inline

Creates an instance of this operation.

Parameters

  p_prepPoly | the PreparedPolygon to evaluate

## Member Function Documentation

## getOutermostTestComponentLocation()

geom::Location geos::geom::prep::PreparedPolygonPredicate::getOutermostTestComponentLocation | ( | const geom::Geometry * | testGeom | ) | const

protected

Returns the outermost Location among a test point from each components of the test geometry.

Parameters

  testGeom | a geometry to test

Returns
  the outermost Location

## isAllTestComponentsInTargetInterior()

bool geos::geom::prep::PreparedPolygonPredicate::isAllTestComponentsInTargetInterior | ( | const geom::Geometry * | testGeom | ) | const

protected

Tests whether all components of the test Geometry are contained in the interior of the target geometry.

Handles both linear and point components.

Parameters

  testGeom | a geometry to test

Returns
  true if all componenta of the argument are contained in the target geometry interior

## isAnyTargetComponentInAreaTest()

bool geos::geom::prep::PreparedPolygonPredicate::isAnyTargetComponentInAreaTest | ( | const geom::Geometry * | testGeom,
|  | const std::vector< const geom::CoordinateXY * > * | targetRepPts ) const

protected

Tests whether any component of the target geometry intersects the test geometry (which must be an areal geometry)

Parameters

  testGeom | the test geometry
  targetRepPts | the representative points of the target geometry

Returns
  true if any component intersects the areal test geometry

## isAnyTestComponentInTarget()

bool geos::geom::prep::PreparedPolygonPredicate::isAnyTestComponentInTarget | ( | const geom::Geometry * | testGeom | ) | const

protected

Tests whether any component of the test Geometry intersects the area of the target geometry.

Handles test geometries with both linear and point components.

Parameters

  testGeom | a geometry to test

Returns
  true if any component of the argument intersects the prepared geometry

## isAnyTestComponentInTargetInterior()

bool geos::geom::prep::PreparedPolygonPredicate::isAnyTestComponentInTargetInterior | ( | const geom::Geometry * | testGeom | ) | const

protected

Tests whether any component of the test Geometry intersects the interior of the target geometry.

Handles test geometries with both linear and point components.

Parameters

  testGeom | a geometry to test

Returns
  true if any component of the argument intersects the prepared area geometry interior

The documentation for this class was generated from the following file:

- PreparedPolygonPredicate.h